##
##  perl-www.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_perl                                  5.22
%define       V_libwww_perl                           6.05
%define       V_lwp_protocol_https                    6.04
%define       V_uri                                   5.08
%define       V_uri_fetch                             0.09
%define       V_uri_find                              20160806
%define       V_uri_find_simple                       1.03
%define       V_cgi                                   4.67
%define       V_cgi_untaint                           1.26
%define       V_cgi_auth                              3.00
%define       V_cgi_simple                            1.113
%define       V_cgi_echo                              1.08
%define       V_cgi_lite                              2.02
%define       V_cgi_panel                             0.97
%define       V_cgi_application                       4.50
%define       V_cgi_application_plugin_autorunmode    0.18
%define       V_cgi_application_plugin_forward        1.06
%define       V_cgi_application_plugin_anytemplate    0.18
%define       V_cgi_application_plugin_config_context 0.18
%define       V_cgi_application_plugin_dbh            4.01
%define       V_cgi_application_plugin_session        1.03
%define       V_cgi_application_plugin_stream         3.00_1
%define       V_cgi_formbuilder                       3.10
%define       V_cgi_formmagick                        0.89
%define       V_cgi_minimal                           1.30
%define       V_cgi_safe                              1.25
%define       V_cgi_session                           4.48
%define       V_cgi_session_id_uuid                   0.03
%define       V_cgi_session_submitted                 1.07
%define       V_cgi_paramcomposite                    0.011
%define       V_cgi_gurumeditation                    1.10
%define       V_cgi_builder                           1.36
%define       V_cgi_builder_session                   1.26
%define       V_cgi_builder_htmltmpl                  1.21
%define       V_cgi_builder_tt2                       0.03
%define       V_cgi_ajax                              0.707
%define       V_cgi_pathrequest                       1.19
%define       V_fcgi                                  0.74
%define       V_rpc_xml                               0.82
%define       V_soap_lite                             0.715
%define       V_soap_lite_smartproxy                  0.11
%define       V_soap_payload                          1.02
%define       V_www_curl                              4.17
%define       V_www_mechanize                         1.66
%define       V_www_mechanize_cached                  1.56
%define       V_www_mechanize_formfi                  0.12
%define       V_www_mechanize_shell                   0.59
%define       V_www_mechanize_sleepy                  0.7
%define       V_www_mechanize_timed                   0.44
%define       V_www_search                            2.519
%define       V_www_search_google                     0.23
%define       V_www_search_yahoo                      2.415
%define       V_www_search_lycos                      2.223
%define       V_www_search_alltheweb                  1.5
%define       V_www_wikipedia                         2.05
%define       V_http_daemon_ssl                       1.05_01
%define       V_http_proxy                            0.304
%define       V_http_request_params                   1.01
%define       V_http_recorder                         0.05
%define       V_http_response_encoding                0.06
%define       V_wddx                                  1.02
%define       V_embperl                               2.3.0
%define       V_net_openid_consumer                   1.12
%define       V_net_openid_server                     1.02
%define       V_www_scraper                           3.05
%define       V_web_scraper                           0.38
%define       V_net_oauth                             0.28
%define       V_net_oauth_simple                      1.7
%define       V_http_message                          6.06
%define       V_http_negotiate                        6.01
%define       V_http_date                             6.02
%define       V_lwp_mediatypes                        6.02
%define       V_http_body                             1.22

#   package information
Name:         perl-www
Summary:      Perl Module for WWW client and server behavior
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Perl
License:      GPL/Artistic
Version:      %{V_perl}
Release:      20250110

#   package options
%option       with_curl  no

#   list of sources
Source0:      http://www.cpan.org/authors/id/E/ET/ETHER/URI-%{V_uri}.tar.gz
Source1:      http://www.cpan.org/authors/id/G/GA/GAAS/libwww-perl-%{V_libwww_perl}.tar.gz
Source2:      http://www.cpan.org/authors/id/L/LE/LEEJO/CGI-%{V_cgi}.tar.gz
Source3:      http://www.cpan.org/authors/id/T/TM/TMTM/CGI-Untaint-%{V_cgi_untaint}.tar.gz
Source4:      http://www.cpan.org/authors/id/C/CC/CCWALLACE/CGI-Auth-%{V_cgi_auth}.tar.gz
Source5:      http://www.cpan.org/authors/id/A/AN/ANDYA/CGI-Simple-%{V_cgi_simple}.tar.gz
Source6:      http://www.cpan.org/modules/by-module/CGI/CGI-Echo-%{V_cgi_echo}.tgz
Source7:      http://www.cpan.org/authors/id/S/SM/SMYLERS/CGI-Lite-%{V_cgi_lite}.tar.gz
Source8:      http://www.cpan.org/authors/id/R/RS/RSYMES/CGI-Panel-%{V_cgi_panel}.tar.gz
Source9:      http://www.cpan.org/authors/id/M/MA/MARKSTOS/CGI-Application-%{V_cgi_application}.tar.gz
Source10:     http://www.cpan.org/modules/by-module/CGI/CGI-FormBuilder-%{V_cgi_formbuilder}.tar.gz
Source11:     http://www.cpan.org/authors/id/M/MI/MITEL/CGI-FormMagick-%{V_cgi_formmagick}.tar.gz
Source12:     http://www.cpan.org/authors/id/S/SN/SNOWHARE/CGI-Minimal-%{V_cgi_minimal}.tar.gz
Source13:     http://www.cpan.org/authors/id/O/OV/OVID/CGI-Safe-%{V_cgi_safe}.tar.gz
Source14:     http://www.cpan.org/authors/id/M/MA/MARKSTOS/CGI-Session-%{V_cgi_session}.tar.gz
Source15:     http://www.cpan.org/authors/id/R/RS/RSE/CGI-Session-ID-uuid-%{V_cgi_session_id_uuid}.tar.gz
Source16:     http://www.cpan.org/authors/id/A/AL/ALLENDAY/CGI-ParamComposite-%{V_cgi_paramcomposite}.tar.gz
Source17:     http://www.cpan.org/authors/id/R/RS/RSE/CGI-GuruMeditation-%{V_cgi_gurumeditation}.tar.gz
Source18:     http://www.cpan.org/authors/id/D/DO/DOMIZIO/CGI-Builder-%{V_cgi_builder}.tar.gz
Source19:     http://www.cpan.org/authors/id/D/DO/DOMIZIO/CGI-Builder-Session-%{V_cgi_builder_session}.tar.gz
Source20:     http://www.cpan.org/authors/id/L/LA/LARSEN/CGI-Builder-TT2-%{V_cgi_builder_tt2}.tar.gz
Source21:     http://www.cpan.org/authors/id/D/DO/DOMIZIO/CGI-Builder-HTMLtmpl-%{V_cgi_builder_htmltmpl}.tar.gz
Source22:     http://www.cpan.org/authors/id/F/FL/FLORA/FCGI-%{V_fcgi}.tar.gz
Source23:     http://www.cpan.org/authors/id/R/RJ/RJRAY/RPC-XML-%{V_rpc_xml}.tar.gz
Source24:     http://www.cpan.org/authors/id/M/MK/MKUTTER/SOAP-Lite-%{V_soap_lite}.tar.gz
Source25:     http://www.cpan.org/authors/id/D/DY/DYACOB/SOAP-Lite-SmartProxy-%{V_soap_lite_smartproxy}.tar.gz
Source26:     http://www.cpan.org/authors/id/U/UN/UNIXTOWN/SOAP-payload-%{V_soap_payload}.tar.gz
Source27:     http://www.cpan.org/authors/id/P/PE/PETDANCE/WWW-Mechanize-%{V_www_mechanize}.tar.gz
Source28:     http://www.cpan.org/authors/id/O/OA/OALDERS/WWW-Mechanize-Cached-%{V_www_mechanize_cached}.tar.gz
Source29:     http://www.cpan.org/authors/id/C/CO/CORION/WWW-Mechanize-FormFiller-%{V_www_mechanize_formfi}.tar.gz
Source30:     http://www.cpan.org/authors/id/C/CO/CORION/WWW-Mechanize-Shell-%{V_www_mechanize_shell}.tar.gz
Source31:     http://www.cpan.org/authors/id/K/KN/KNTONAS/WWW-Mechanize-Sleepy-%{V_www_mechanize_sleepy}.tar.gz
Source32:     http://www.cpan.org/authors/id/L/LB/LBROCARD/WWW-Mechanize-Timed-%{V_www_mechanize_timed}.tar.gz
Source33:     http://www.cpan.org/authors/id/M/MT/MTHURN/WWW-Search-%{V_www_search}.tar.gz
Source34:     http://www.cpan.org/authors/id/L/LB/LBROCARD/WWW-Search-Google-%{V_www_search_google}.tar.gz
Source35:     http://www.cpan.org/authors/id/M/MT/MTHURN/WWW-Search-Yahoo-%{V_www_search_yahoo}.tar.gz
Source36:     http://www.cpan.org/authors/id/M/MT/MTHURN/WWW-Search-Lycos-%{V_www_search_lycos}.tar.gz
Source37:     http://www.cpan.org/authors/id/J/JS/JSMYSER/WWW-Search-AlltheWeb-%{V_www_search_alltheweb}.tar.gz
Source38:     http://www.cpan.org/authors/id/A/AU/AUFFLICK/HTTP-Daemon-SSL-%{V_http_daemon_ssl}.tar.gz
Source39:     http://www.cpan.org/authors/id/B/BO/BOOK/HTTP-Proxy-%{V_http_proxy}.tar.gz
Source40:     http://www.cpan.org/authors/id/L/LE/LEIRA/HTTP-Recorder-%{V_http_recorder}.tar.gz
Source41:     http://www.cpan.org/authors/id/P/PE/PETDANCE/WDDX-%{V_wddx}.tar.gz
Source42:     http://www.cpan.org/authors/id/B/BR/BRICAS/WWW-Wikipedia-%{V_www_wikipedia}.tar.gz
Source43:     ftp://ftp.dev.ecos.de/pub/perl/embperl/Embperl-%{V_embperl}.tar.gz
Source44:     http://www.cpan.org/authors/id/B/BP/BPEDERSE/CGI-Ajax-%{V_cgi_ajax}.tar.gz
Source45:     http://www.cpan.org/authors/id/T/TH/THILO/CGI-Application-Plugin-AutoRunmode-%{V_cgi_application_plugin_autorunmode}.tar.gz
Source46:     http://www.cpan.org/authors/id/M/MG/MGRAHAM/CGI-Application-Plugin-Forward-%{V_cgi_application_plugin_forward}.tar.gz
Source47:     http://www.cpan.org/authors/id/M/MG/MGRAHAM/CGI-Application-Plugin-AnyTemplate-%{V_cgi_application_plugin_anytemplate}.tar.gz
Source48:     http://www.cpan.org/authors/id/M/MG/MGRAHAM/CGI-Application-Plugin-Config-Context-%{V_cgi_application_plugin_config_context}.tar.gz
Source49:     http://www.cpan.org/authors/id/M/MA/MARKSTOS/CGI-Application-Plugin-DBH-%{V_cgi_application_plugin_dbh}.tar.gz
Source50:     http://www.cpan.org/authors/id/C/CE/CEESHEK/CGI-Application-Plugin-Session-%{V_cgi_application_plugin_session}.tar.gz
Source51:     http://www.cpan.org/authors/id/P/PU/PURDY/CGI-Application-Plugin-Stream-%{V_cgi_application_plugin_stream}.tar.gz
Source52:     http://www.cpan.org/authors/id/C/CW/CWEST/HTTP-Request-Params-%{V_http_request_params}.tar.gz
Source53:     http://www.cpan.org/authors/id/B/BT/BTROTT/URI-Fetch-%{V_uri_fetch}.tar.gz
Source54:     http://www.cpan.org/authors/id/M/MA/MART/Net-OpenID-Consumer-%{V_net_openid_consumer}.tar.gz
Source55:     http://www.cpan.org/authors/id/M/MA/MART/Net-OpenID-Server-%{V_net_openid_server}.tar.gz
Source56:     http://www.cpan.org/authors/id/L/LE/LEOCHARRE/CGI-Session-Submitted-%{V_cgi_session_submitted}.tar.gz
Source57:     http://www.cpan.org/authors/id/L/LE/LEOCHARRE/CGI-PathRequest-%{V_cgi_pathrequest}.tar.gz
Source58:     http://www.cpan.org/authors/id/S/SZ/SZBALINT/WWW-Curl-%{V_www_curl}.tar.gz
Source59:     http://www.cpan.org/authors/id/D/DA/DANKOGAI/HTTP-Response-Encoding-%{V_http_response_encoding}.tar.gz
Source60:     http://www.cpan.org/authors/id/G/GL/GLENNWOOD/Scraper-%{V_www_scraper}.tar.gz
Source61:     http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Web-Scraper-%{V_web_scraper}.tar.gz
Source62:     http://www.cpan.org/authors/id/M/MS/MSCHWERN/URI-Find-%{V_uri_find}.tar.gz
Source63:     http://www.cpan.org/authors/id/T/TO/TOMI/URI-Find-Simple-%{V_uri_find_simple}.tar.gz
Source64:     http://www.cpan.org/authors/id/K/KG/KGRENNAN/Net-OAuth-%{V_net_oauth}.tar.gz
Source65:     http://www.cpan.org/authors/id/S/SI/SIMONW/Net-OAuth-Simple-%{V_net_oauth_simple}.tar.gz
Source66:     http://www.cpan.org/authors/id/G/GA/GAAS/HTTP-Message-%{V_http_message}.tar.gz
Source67:     http://www.cpan.org/authors/id/G/GA/GAAS/HTTP-Negotiate-%{V_http_negotiate}.tar.gz
Source68:     http://www.cpan.org/authors/id/G/GA/GAAS/HTTP-Date-%{V_http_date}.tar.gz
Source69:     http://www.cpan.org/authors/id/G/GA/GAAS/LWP-MediaTypes-%{V_lwp_mediatypes}.tar.gz
Source70:     http://www.cpan.org/authors/id/G/GA/GAAS/LWP-Protocol-https-%{V_lwp_protocol_https}.tar.gz
Source71:     http://www.cpan.org/authors/id/G/GE/GETTY/HTTP-Body-%{V_http_body}.tar.gz
Patch0:       perl-www.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl >= %{V_perl}, perl-openpkg >= %{V_perl}-20051031
PreReq:       OpenPKG, openpkg >= 20160101, perl >= %{V_perl}
BuildPreReq:  perl-crypto, perl-ssl, perl-mail, perl-xml, perl-net, perl-time, perl-util, perl-module, perl-comp, perl-sys, perl-ds, perl-text
PreReq:       perl-crypto, perl-ssl, perl-mail, perl-xml, perl-net, perl-time, perl-util, perl-module, perl-comp, perl-sys, perl-ds, perl-text
%if "%{with_curl}" == "yes"
BuildPreReq:  curl
PreReq:       curl
%endif

%description
    Various Perl modules related to World Wide Web (WWW):
    - libwww-perl (%{V_libwww_perl})
    - URI (%{V_uri})
    - URI::Fetch (%{V_uri_fetch})
    - URI::Find (%{V_uri_find})
    - URI::Find::Simple (%{V_uri_find_simple})
    - CGI (%{V_cgi})
    - CGI::Application (%{V_cgi_application})
    - CGI::FormBuilder (%{V_cgi_formbuilder})
    - CGI::FormMagick (%{V_cgi_formmagick})
    - CGI::Minimal (%{V_cgi_minimal})
    - CGI::Safe (%{V_cgi_safe})
    - CGI::Session (%{V_cgi_session})
    - CGI::Session::ID::uuid (%{V_cgi_session_id_uuid})
    - CGI::Session::Submitted (%{V_cgi_session_submitted})
    - CGI::Untaint (%{V_cgi_untaint})
    - CGI::Auth (%{V_cgi_auth})
    - CGI::Simple (%{V_cgi_simple})
    - CGI::Echo (%{V_cgi_echo})
    - CGI::Lite (%{V_cgi_lite})
    - CGI::Panel (%{V_cgi_panel})
    - CGI::ParamComposite (%{V_cgi_paramcomposite})
    - CGI::GuruMeditation (%{V_cgi_gurumeditation})
    - CGI::Builder::* (%{V_cgi_builder})
    - CGI::Builder::Session (%{V_cgi_builder_session})
    - CGI::Builder::HTMLtmpl (%{V_cgi_builder_htmltmpl})
    - CGI::Builder::TT2 (%{V_cgi_builder_tt2})
    - CGI::PathRequest (%{V_cgi_pathrequest})
    - FCGI (%{V_fcgi})
    - RPC::XML (%{V_rpc_xml})
    - SOAP::Lite (%{V_soap_lite})
    - SOAP::Lite::SmartProxy (%{V_soap_lite_smartproxy})
    - SOAP::payload (%{V_soap_payload})
%if "%{with_curl}" == "yes"
    - WWW::Curl (%{V_www_curl})
%endif
    - WWW::Mechanize (%{V_www_mechanize})
    - WWW::Mechanize-Cached (%{V_www_mechanize_cached})
    - WWW::Mechanize-FormFiller (%{V_www_mechanize_formfi})
    - WWW::Mechanize-Shell (%{V_www_mechanize_shell})
    - WWW::Mechanize-Sleepy (%{V_www_mechanize_sleepy})
    - WWW::Mechanize-Timed (%{V_www_mechanize_timed})
    - WWW::Search (%{V_www_search})
    - WWW::Search::Google (%{V_www_search_google})
    - WWW::Search::Yahoo (%{V_www_search_yahoo})
    - WWW::Search::Lycos (%{V_www_search_lycos})
    - WWW::Search::AlltheWeb (%{V_www_search_alltheweb})
    - WWW::Wikipedia (%{V_www_wikipedia})
    - HTTP::Daemon::SSL (%{V_http_daemon_ssl})
    - HTTP::Proxy (%{V_http_proxy})
    - HTTP::Recorder (%{V_http_recorder})
    - HTTP::Request::* (%{V_http_message})
    - HTTP::Request::* (%{V_http_negotiate})
    - HTTP::Request::Params (%{V_http_request_params})
    - HTTP::Response::Encoding (%{V_http_response_encoding})
    - WDDX (%{V_wddx})
    - Embperl (%{V_embperl})
    - Net::OpenID::Consumer (%{V_net_openid_consumer})
    - Net::OpenID::Server (%{V_net_openid_server})
    - WWW::Scraper (%{V_www_scraper})
    - Web::Scraper (%{V_web_scraper})
    - Net::OAuth (%{V_net_oauth})
    - Net::OAuth::Simple (%{V_net_oauth_simple})
    - HTTP::Body (%{V_http_body})

%track
    prog perl-www:CGI-Application = {
        version   = %{V_cgi_application}
        url       = http://www.cpan.org/authors/id/M/MA/MARKSTOS/
        regex     = CGI-Application-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Application-Plugin-AutoRunmode = {
        version   = %{V_cgi_application_plugin_autorunmode}
        url       = http://www.cpan.org/authors/id/T/TH/THILO/
        regex     = CGI-Application-Plugin-AutoRunmode-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Application-Plugin-Forward = {
        version   = %{V_cgi_application_plugin_forward}
        url       = http://www.cpan.org/authors/id/M/MG/MGRAHAM/
        regex     = CGI-Application-Plugin-Forward-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Application-Plugin-AnyTemplate = {
        version   = %{V_cgi_application_plugin_anytemplate}
        url       = http://www.cpan.org/authors/id/M/MG/MGRAHAM/
        regex     = CGI-Application-Plugin-AnyTemplate-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Application-Plugin-Config-Context = {
        version   = %{V_cgi_application_plugin_config_context}
        url       = http://www.cpan.org/authors/id/M/MG/MGRAHAM/
        regex     = CGI-Application-Plugin-Config-Context-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Application-Plugin-DBH = {
        version   = %{V_cgi_application_plugin_dbh}
        url       = http://www.cpan.org/authors/id/M/MA/MARKSTOS/
        regex     = CGI-Application-Plugin-DBH-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Application-Plugin-Session = {
        version   = %{V_cgi_application_plugin_session}
        url       = http://www.cpan.org/authors/id/C/CE/CEESHEK/
        regex     = CGI-Application-Plugin-Session-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Application-Plugin-Stream = {
        version   = %{V_cgi_application_plugin_stream}
        url       = http://www.cpan.org/authors/id/P/PU/PURDY/
        regex     = CGI-Application-Plugin-Stream-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Auth = {
        version   = %{V_cgi_auth}
        url       = http://www.cpan.org/authors/id/C/CC/CCWALLACE/
        regex     = CGI-Auth-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Echo = {
        version   = %{V_cgi_echo}
        url       = http://www.cpan.org/modules/by-module/CGI/
        regex     = CGI-Echo-(__VER__)\.tgz
    }
    prog perl-www:CGI-FormBuilder = {
        version   = %{V_cgi_formbuilder}
        url       = http://www.cpan.org/modules/by-module/CGI/
        regex     = CGI-FormBuilder-(__VER__)\.(?:tar\.gz|tgz)
    }
    prog perl-www:CGI-FormMagick = {
        version   = %{V_cgi_formmagick}
        url       = http://www.cpan.org/authors/id/M/MI/MITEL/
        regex     = CGI-FormMagick-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Lite = {
        version   = %{V_cgi_lite}
        url       = http://www.cpan.org/authors/id/S/SM/SMYLERS/
        regex     = CGI-Lite-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Minimal = {
        version   = %{V_cgi_minimal}
        url       = http://www.cpan.org/authors/id/S/SN/SNOWHARE/
        regex     = CGI-Minimal-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Panel = {
        version   = %{V_cgi_panel}
        url       = http://www.cpan.org/authors/id/R/RS/RSYMES/
        regex     = CGI-Panel-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Safe = {
        version   = %{V_cgi_safe}
        url       = http://www.cpan.org/authors/id/O/OV/OVID/
        regex     = CGI-Safe-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Session = {
        version   = %{V_cgi_session}
        url       = http://www.cpan.org/authors/id/M/MA/MARKSTOS/
        regex     = CGI-Session-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Session-ID-uuid = {
        version   = %{V_cgi_session_id_uuid}
        url       = http://www.cpan.org/authors/id/R/RS/RSE/
        regex     = CGI-Session-ID-uuid-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Session-Submitted = {
        version   = %{V_cgi_session_submitted}
        url       = http://www.cpan.org/authors/id/L/LE/LEOCHARRE/
        regex     = CGI-Session-Submitted-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Simple = {
        version   = %{V_cgi_simple}
        url       = http://www.cpan.org/authors/id/A/AN/ANDYA/
        regex     = CGI-Simple-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Untaint = {
        version   = %{V_cgi_untaint}
        url       = http://www.cpan.org/authors/id/T/TM/TMTM/
        regex     = CGI-Untaint-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-ParamComposite = {
        version   = %{V_cgi_paramcomposite}
        url       = http://www.cpan.org/authors/id/A/AL/ALLENDAY/
        regex     = CGI-ParamComposite-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-GuruMeditation = {
        version   = %{V_cgi_gurumeditation}
        url       = http://www.cpan.org/authors/id/R/RS/RSE/
        regex     = CGI-GuruMeditation-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Builder = {
        version   = %{V_cgi_builder}
        url       = http://www.cpan.org/authors/id/D/DO/DOMIZIO/
        regex     = CGI-Builder-(__VER__)\+?\.tar\.gz
    }
    prog perl-www:CGI-Builder-Session = {
        version   = %{V_cgi_builder_session}
        url       = http://www.cpan.org/authors/id/D/DO/DOMIZIO/
        regex     = CGI-Builder-Session-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Builder-TT2 = {
        version   = %{V_cgi_builder_tt2}
        url       = http://www.cpan.org/authors/id/L/LA/LARSEN/
        regex     = CGI-Builder-TT2-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Builder-HTMLtmpl = {
        version   = %{V_cgi_builder_htmltmpl}
        url       = http://www.cpan.org/authors/id/D/DO/DOMIZIO/
        regex     = CGI-Builder-HTMLtmpl-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-Ajax = {
        version   = %{V_cgi_ajax}
        url       = http://www.cpan.org/authors/id/B/BP/BPEDERSE/
        regex     = CGI-Ajax-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI-PathRequest = {
        version   = %{V_cgi_pathrequest}
        url       = http://www.cpan.org/authors/id/L/LE/LEOCHARRE/
        regex     = CGI-PathRequest-(__VER__)\.tar\.gz
    }
    prog perl-www:CGI = {
        version   = %{V_cgi}
        url       = http://www.cpan.org/authors/id/L/LE/LEEJO/
        regex     = CGI-(\d+\.\d+)\.tar\.gz
    }
    prog perl-www:FCGI = {
        version   = %{V_fcgi}
        url       = http://www.cpan.org/authors/id/F/FL/FLORA/
        regex     = FCGI-(__VER__)\.tar\.gz
    }
    prog perl-www:libwww-perl = {
        version   = %{V_libwww_perl}
        url       = http://www.cpan.org/authors/id/G/GA/GAAS/
        regex     = libwww-perl-(__VER__)\.tar\.gz
    }
    prog perl-www:RPC-XML = {
        version   = %{V_rpc_xml}
        url       = http://www.cpan.org/authors/id/R/RJ/RJRAY/
        regex     = RPC-XML-(__VER__)\.tar\.gz
    }
    prog perl-www:SOAP-Lite = {
        version   = %{V_soap_lite}
        url       = http://www.cpan.org/authors/id/M/MK/MKUTTER/
        regex     = SOAP-Lite-(__VER__)\.tar\.gz
    }
    prog perl-www:SOAP-Lite-SmartProxy = {
        version   = %{V_soap_lite_smartproxy}
        url       = http://www.cpan.org/authors/id/D/DY/DYACOB/
        regex     = SOAP-Lite-SmartProxy-(__VER__)\.tar\.gz
    }
    prog perl-www:SOAP-payload = {
        version   = %{V_soap_payload}
        url       = http://www.cpan.org/authors/id/U/UN/UNIXTOWN/
        regex     = SOAP-payload-(__VER__)\.tar\.gz
    }
    prog perl-www:URI = {
        version   = %{V_uri}
        url       = http://www.cpan.org/authors/id/E/ET/ETHER/
        regex     = URI-(__VER__)\.tar\.gz
    }
    prog perl-www:URI-Fetch = {
        version   = %{V_uri_fetch}
        url       = http://www.cpan.org/authors/id/B/BT/BTROTT/
        regex     = URI-Fetch-(__VER__)\.tar\.gz
    }
    prog perl-www:URI-Find = {
        version   = %{V_uri_find}
        url       = http://www.cpan.org/authors/id/M/MS/MSCHWERN/
        regex     = URI-Find-(__VER__)\.tar\.gz
    }
    prog perl-www:URI-Find-Simple = {
        version   = %{V_uri_find_simple}
        url       = http://www.cpan.org/authors/id/T/TO/TOMI/
        regex     = URI-Find-Simple-(__VER__)\.tar\.gz
    }
    prog perl-www:Curl = {
        version   = %{V_www_curl}
        url       = http://www.cpan.org/authors/id/S/SZ/SZBALINT/
        regex     = WWW-Curl-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Mechanize = {
        version   = %{V_www_mechanize}
        url       = http://www.cpan.org/authors/id/P/PE/PETDANCE/
        regex     = WWW-Mechanize-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Mechanize-Cached = {
        version   = %{V_www_mechanize_cached}
        url       = http://www.cpan.org/authors/id/O/OA/OALDERS/
        regex     = WWW-Mechanize-Cached-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Mechanize-FormFiller = {
        version   = %{V_www_mechanize_formfi}
        url       = http://www.cpan.org/authors/id/C/CO/CORION/
        regex     = WWW-Mechanize-FormFiller-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Mechanize-Shell = {
        version   = %{V_www_mechanize_shell}
        url       = http://www.cpan.org/authors/id/C/CO/CORION/
        regex     = WWW-Mechanize-Shell-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Mechanize-Sleepy = {
        version   = %{V_www_mechanize_sleepy}
        url       = http://www.cpan.org/authors/id/K/KN/KNTONAS/
        regex     = WWW-Mechanize-Sleepy-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Mechanize-Timed = {
        version   = %{V_www_mechanize_timed}
        url       = http://www.cpan.org/authors/id/L/LB/LBROCARD/
        regex     = WWW-Mechanize-Timed-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Search = {
        version   = %{V_www_search}
        url       = http://www.cpan.org/authors/id/M/MT/MTHURN/
        regex     = WWW-Search-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Search-Google = {
        version   = %{V_www_search_google}
        url       = http://www.cpan.org/authors/id/L/LB/LBROCARD/
        regex     = WWW-Search-Google-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Search-Yahoo = {
        version   = %{V_www_search_yahoo}
        url       = http://www.cpan.org/authors/id/M/MT/MTHURN/
        regex     = WWW-Search-Yahoo-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Search-Lycos = {
        disabled
        comment   = "rse: removed from CPAN (successor is WWWW::Scraper::Lycos?)"
        version   = %{V_www_search_lycos}
        url       = http://www.cpan.org/authors/id/M/MT/MTHURN/
        regex     = WWW-Search-Lycos-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Search-AlltheWeb = {
        version   = %{V_www_search_alltheweb}
        url       = http://www.cpan.org/authors/id/J/JS/JSMYSER/
        regex     = WWW-Search-AlltheWeb-(__VER__)\.tar\.gz
    }
    prog perl-www:HTTP-Daemon-SSL = {
        version   = %{V_http_daemon_ssl}
        url       = http://www.cpan.org/authors/id/A/AU/AUFFLICK/
        regex     = HTTP-Daemon-SSL-(__VER__)\.tar\.gz
    }
    prog perl-www:HTTP-Proxy = {
        version   = %{V_http_proxy}
        url       = http://www.cpan.org/authors/id/B/BO/BOOK/
        regex     = HTTP-Proxy-(__VER__)\.tar\.gz
    }
    prog perl-www:HTTP-Recorder = {
        version   = %{V_http_recorder}
        url       = http://www.cpan.org/authors/id/L/LE/LEIRA/
        regex     = HTTP-Recorder-(__VER__)\.tar\.gz
    }
    prog perl-www:HTTP-Message = {
        version   = %{V_http_message}
        url       = http://www.cpan.org/authors/id/G/GA/GAAS/
        regex     = HTTP-Message-(__VER__)\.tar\.gz
    }
    prog perl-www:HTTP-Date = {
        version   = %{V_http_date}
        url       = http://www.cpan.org/authors/id/G/GA/GAAS/
        regex     = HTTP-Date-(__VER__)\.tar\.gz
    }
    prog perl-www:HTTP-Negotiate = {
        version   = %{V_http_negotiate}
        url       = http://www.cpan.org/authors/id/G/GA/GAAS/
        regex     = HTTP-Negotiate-(__VER__)\.tar\.gz
    }
    prog perl-www:HTTP-Request-Params = {
        version   = %{V_http_request_params}
        url       = http://www.cpan.org/authors/id/C/CW/CWEST/
        regex     = HTTP-Request-Params-(__VER__)\.tar\.gz
    }
    prog perl-www:HTTP-Response-Encoding = {
        version   = %{V_http_response_encoding}
        url       = http://www.cpan.org/authors/id/D/DA/DANKOGAI/
        regex     = HTTP-Response-Encoding-(__VER__)\.tar\.gz
    }
    prog perl-www:WDDX = {
        version   = %{V_wddx}
        url       = http://www.cpan.org/authors/id/P/PE/PETDANCE/
        regex     = WDDX-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Wikipedia = {
        version   = %{V_www_wikipedia}
        url       = http://www.cpan.org/authors/id/B/BR/BRICAS/
        regex     = WWW-Wikipedia-(__VER__)\.tar\.gz
    }
    prog perl-www:Embperl = {
        version   = %{V_embperl}
        url       = ftp://ftp.dev.ecos.de/pub/perl/embperl/
        regex     = Embperl-(__VER__)\.tar\.gz
    }
    prog perl-www:Net-OpenID-Consumer = {
        version   = %{V_net_openid_consumer}
        url       = http://www.cpan.org/authors/id/M/MA/MART/
        regex     = Net-OpenID-Consumer-(__VER__)\.tar\.gz
    }
    prog perl-www:Net-OpenID-Server = {
        version   = %{V_net_openid_server}
        url       = http://www.cpan.org/authors/id/M/MA/MART/
        regex     = Net-OpenID-Server-(__VER__)\.tar\.gz
    }
    prog perl-www:WWW-Scraper = {
        version   = %{V_www_scraper}
        url       = http://www.cpan.org/authors/id/G/GL/GLENNWOOD/
        regex     = Scraper-(__VER__)\.tar\.gz
    }
    prog perl-www:Web-Scraper = {
        version   = %{V_web_scraper}
        url       = http://www.cpan.org/authors/id/M/MI/MIYAGAWA/
        regex     = Web-Scraper-(__VER__)\.tar\.gz
    }
    prog perl-www:Net-OAuth = {
        version   = %{V_net_oauth}
        url       = http://www.cpan.org/authors/id/K/KG/KGRENNAN/
        regex     = Net-OAuth-(__VER__)\.tar\.gz
    }
    prog perl-www:Net-OAuth-Simple = {
        version   = %{V_net_oauth_simple}
        url       = http://www.cpan.org/authors/id/S/SI/SIMONW/
        regex     = Net-OAuth-Simple-(__VER__)\.tar\.gz
    }
    prog perl-www:LWP-MediaTypes = {
        version   = %{V_lwp_mediatypes}
        url       = http://www.cpan.org/authors/id/G/GA/GAAS/
        regex     = LWP-MediaTypes-(__VER__)\.tar\.gz
    }
    prog perl-www:LWP-Protocol-https = {
        version   = %{V_lwp_protocol_https}
        url       = http://www.cpan.org/authors/id/G/GA/GAAS/
        regex     = LWP-Protocol-https-(__VER__)\.tar\.gz
    }
    prog perl-www:HTTP-Body = {
        version   = %{V_http_body}
        url       = http://www.cpan.org/authors/id/G/GE/GETTY/
        regex     = HTTP-Body-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2
    %setup -q -T -D -a 3
    %setup -q -T -D -a 4
    %setup -q -T -D -a 5
    %setup -q -T -D -a 6
    %setup -q -T -D -a 7
    %setup -q -T -D -a 8
    %setup -q -T -D -a 9
    %setup -q -T -D -a 10
    %setup -q -T -D -a 11
    %setup -q -T -D -a 12
    %setup -q -T -D -a 13
    %setup -q -T -D -a 14
    %setup -q -T -D -a 15
    %setup -q -T -D -a 16
    %setup -q -T -D -a 17
    %setup -q -T -D -a 18
    %setup -q -T -D -a 19
    %setup -q -T -D -a 20
    %setup -q -T -D -a 21
    %setup -q -T -D -a 22
    %setup -q -T -D -a 23
    %setup -q -T -D -a 24
    %setup -q -T -D -a 25
    %setup -q -T -D -a 26
    %setup -q -T -D -a 27
    %setup -q -T -D -a 28
    %setup -q -T -D -a 29
    %setup -q -T -D -a 30
    %setup -q -T -D -a 31
    %setup -q -T -D -a 32
    %setup -q -T -D -a 33
    ( # FIXME: ugly workaround for partially broken tarballs
    %setup -q -T -D -a 34
    ) || true
    %setup -q -T -D -a 35
    ( # FIXME: ugly workaround for partially broken tarballs
    %setup -q -T -D -a 36
    ) || true
    %setup -q -T -D -a 37
    %setup -q -T -D -a 38
    %setup -q -T -D -a 39
    %setup -q -T -D -a 40
    %setup -q -T -D -a 41
    %setup -q -T -D -a 42
    %setup -q -T -D -a 43
    %setup -q -T -D -a 44
    %setup -q -T -D -a 45
    %setup -q -T -D -a 46
    %setup -q -T -D -a 47
    %setup -q -T -D -a 48
    %setup -q -T -D -a 49
    %setup -q -T -D -a 50
    %setup -q -T -D -a 51
    %setup -q -T -D -a 52
    %setup -q -T -D -a 53
    %setup -q -T -D -a 54
    %setup -q -T -D -a 55
    %setup -q -T -D -a 56
    %setup -q -T -D -a 57
%if "%{with_curl}" == "yes"
    %setup -q -T -D -a 58
%endif
    %setup -q -T -D -a 59
    %setup -q -T -D -a 60
    %setup -q -T -D -a 61
    %setup -q -T -D -a 62
    %setup -q -T -D -a 63
    %setup -q -T -D -a 64
    %setup -q -T -D -a 65
    %setup -q -T -D -a 66
    %setup -q -T -D -a 67
    %setup -q -T -D -a 68
    %setup -q -T -D -a 69
    %setup -q -T -D -a 70
    %setup -q -T -D -a 71
    %patch -p0

%build

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE3}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE4}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE5}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE6}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE7}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE8}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE9}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE10} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE11} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE12} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE13} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE14} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE15} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE16} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE17} configure build install
    %{l_prefix}/bin/perl-openpkg -d CGI-Builder-%{V_cgi_builder} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE19} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE20} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE21} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE22} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE23} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE24} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE25} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE26} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE27} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE28} -A --nolive configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE29} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE30} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE31} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE32} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE33} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE34} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE35} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE36} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE37} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE38} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE39} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE40} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE41} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE42} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE43} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE44} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE45} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE46} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE47} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE48} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE49} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE50} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE51} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE52} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE53} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE54} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE55} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE56} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE57} configure build install
%if "%{with_curl}" == "yes"
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE58} configure build install
%endif
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE59} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE60} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE61} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE62} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE63} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE64} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE65} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE66} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE67} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE68} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE69} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE70} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE71} configure build install

    #   cleanup installation
    ( cd $RPM_BUILD_ROOT%{l_prefix}/bin
      for prog in *.pl; do
          base=`echo $prog | sed -e 's;\.pl$;;'`
          %{l_shtool} install -c -m 755 \
              -e 's;^#!/.*;#!%{l_prefix}/bin/perl;' \
              $prog $base
          rm -f $prog
      done
    ) || exit $?

    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

